<?xml version="1.0" encoding="utf-8"?>
<!--
/*
** Copyright 2014, The Android Open Source Project
**
** Licensed under the Apache License, Version 2.0 (the "License");
** you may not use this file except in compliance with the License.
** You may obtain a copy of the License at
**
**     http://www.apache.org/licenses/LICENSE-2.0
**
** Unless required by applicable law or agreed to in writing, software
** distributed under the License is distributed on an "AS IS" BASIS,
** WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
** See the License for the specific language governing permissions and
** limitations under the License.
*/
-->

<resources>
    <!-- This string array should be overridden by the device to present a list of network
         attributes.  This is used by the connectivity manager to decide which networks can coexist
         based on the hardware -->
    <!-- An Array of "[Connection name],[ConnectivityManager.TYPE_xxxx],
         [associated radio-type],[priority],[restoral-timer(ms)],[dependencyMet]  -->
    <!-- the 5th element "resore-time" indicates the number of milliseconds to delay
         before automatically restore the default connection.  Set -1 if the connection
         does not require auto-restore. -->
    <!-- the 6th element indicates boot-time dependency-met value. -->
    <string-array translatable="false" name="networkAttributes">
        <item>wifi,1,1,1,-1,true</item>
        <item>mobile,0,0,0,-1,true</item>
        <item>mobile_mms,2,0,2,240000,true</item>
        <item>mobile_supl,3,0,2,60000,true</item>
        <item>mobile_dun,4,0,2,60000,true</item>
        <item>mobile_hipri,5,0,3,60000,true</item>
        <item>mobile_fota,10,0,2,60000,true</item>
        <item>mobile_ims,11,0,1,-1,true</item>
        <item>mobile_cbs,12,0,2,60000,true</item>
        <item>mobile_ia,14,0,2,-1,true</item>
        <item>mobile_emergency,15,0,2,-1,true</item>
        <item>mobile_bip,23,0,2,60000,true</item>
        <item>mobile_cas,24,0,3,60000,true</item>
        <item>mobile_xcap,27,0,2,60000,true</item>
        <item>mobile_ent1,28,0,2,-1,true</item>
        <item>mobile_mcx,32,0,2,-1,true</item>
        <item>mobile_foc,30,0,2,-1,true</item>
        <item>bluetooth,7,7,0,-1,true</item>
        <item>ethernet,9,9,2,-1,true</item>
    </string-array>

    <!-- This string array should be overridden by the device to present a list of radio
         attributes.  This is used by the connectivity manager to decide which networks can coexist
         based on the hardware -->
    <!-- An Array of "[ConnectivityManager connectionType],
                      [# simultaneous connection types]"  -->
    <string-array translatable="false" name="radioAttributes">
        <!-- DEFAULT -->
        <item>"1,1"</item>
        <!-- MOBILE -->
        <item>"0,1"</item>
        <!-- BLUETOOTH -->
        <item>"7,1"</item>
    </string-array>

    <!-- Configure mobile tcp buffer sizes in the form:
         rat-name:rmem_min,rmem_def,rmem_max,wmem_min,wmem_def,wmem_max
         If no value is found for the rat-name in use, the system default will be applied.
    -->
    <string-array name="config_mobile_tcp_buffers">
        <item>lte:2097152,4194304,8388608,1048576,3145728,4194304</item>
        <item>umts:4094,87380,704512,4096,16384,110208</item>
        <item>hspa:4094,87380,704512,4096,16384,262144</item>
        <item>hsupa:4094,87380,704512,4096,16384,262144</item>
        <item>hsdpa:4094,87380,704512,4096,16384,262144</item>
        <item>hspap:4094,87380,1220608,4096,16384,1220608</item>
        <item>edge:4093,26280,35040,4096,16384,35040</item>
        <item>gprs:4092,30000,30000,4096,8760,11680</item>
    </string-array>

    <!-- Is the device capable of hot swapping an ICC Card -->
    <bool name="config_hotswapCapable">true</bool>

    <!-- Boolean indicating if current platform supports BLE peripheral mode -->
    <bool name="config_bluetooth_le_peripheral_mode_supported">true</bool>

   <!-- Operating volatage for bluetooth controller. 0 by default-->
   <integer translatable="false" name="config_bluetooth_operating_voltage_mv">4</integer>

    <!-- The default iface on which to monitor data use -->
    <string name="config_datause_iface" translatable="false">rmnet4</string>

    <!-- Whether WiFi display is supported by this device.
         There are many prerequisites for this feature to work correctly.
         Here are a few of them:
         * The WiFi radio must support WiFi P2P.
         * The WiFi radio must support concurrent connections to the WiFi display and
           to an access point.
         * The Audio Flinger audio_policy.conf file must specify a rule for the "r_submix"
           remote submix module.  This module is used to record and stream system
           audio output to the WiFi display encoder in the media server.
         * The remote submix module "audio.r_submix.default" must be installed on the device.
         * The device must be provisioned with HDCP keys (for protected content).
    -->
    <bool name="config_enableWifiDisplay">true</bool>

    <!-- Set to true if the wifi display supports compositing content stored
         in gralloc protected buffers.  For this to be true, there must exist
         a protected hardware path for surface flinger to composite and send
         protected buffers to the wifi display video encoder.
         If this flag is false, we advise applications not to use protected
         buffers (if possible) when presenting content to a wifi display because
         the content may be blanked.
         This flag controls whether the {@link Display#FLAG_SUPPORTS_PROTECTED_BUFFERS}
         flag is set for wifi displays.
    -->
    <bool name="config_wifiDisplaySupportsProtectedBuffers">true</bool>

    <!-- Control the behavior when the user long presses the home button.
            0 - Nothing
            1 - Menu key
            2 - Recent apps view in SystemUI
            3 - Launch assist intent
            4 - Voice Search
            5 - In-app Search
         This needs to match the constants in
         policy/src/com/android/internal/policy/impl/PhoneWindowManager.java
    -->
    <integer name="config_longPressOnHomeBehavior">3</integer>

    <!-- If this is true, the screen will come on when you unplug usb/power/whatever. -->
    <bool name="config_unplugTurnsOnScreen">true</bool>

    <!-- BurnIn protection. This should be enabled on devices that have OLED displays -->
    <bool name="config_enableBurnInProtection">true</bool>

    <!-- Flag indicating whether we should enable the automatic brightness in Settings.
         Software implementation will be used if config_hardware_auto_brightness_available is not set -->
    <bool name="config_automatic_brightness_available">true</bool>

    <!-- Array of light sensor LUX values to define our levels for auto backlight brightness support.
         The N entries of this array define N  1 zones as follows:

         Zone 0:        0 <= LUX < array[0]
         Zone 1:        array[0] <= LUX < array[1]
         ...
         Zone N:        array[N - 1] <= LUX < array[N]
         Zone N + 1     array[N] <= LUX < infinity

         Must be overridden in platform specific overlays -->
    <integer-array name="config_autoBrightnessLevels">
        <item>1</item>
        <item>2</item>
        <item>3</item>
        <item>4</item>
        <item>5</item>
        <item>10</item>
        <item>30</item>
        <item>50</item>
        <item>100</item>
        <item>200</item>
        <item>500</item>
        <item>1000</item>
        <item>2000</item>
        <item>2999</item>
        <item>3000</item>
        <item>3999</item>
        <item>4000</item>
        <item>4999</item>
        <item>5000</item>
        <item>9999</item>
        <item>10000</item>
        <item>19999</item>
        <item>20000</item>
        <item>29999</item>
        <item>30000</item>
        <item>39999</item>
        <item>40000</item>
    </integer-array>

    <!-- Array of desired screen brightness in nits corresponding to the lux values
         in the config_autoBrightnessLevels array. As with config_screenBrightnessMinimumNits and
         config_screenBrightnessMaximumNits, the display brightness is defined as the measured
         brightness of an all-white image.
         If this is defined then:
            - config_autoBrightnessLcdBacklightValues should not be defined
            - config_screenBrightnessNits must be defined
            - config_screenBrightnessBacklight must be defined
         This array should have size one greater than the size of the config_autoBrightnessLevels
         array. The brightness values must be non-negative and non-decreasing. This must be
         overridden in platform specific overlays -->
    <array name="config_autoBrightnessDisplayValuesNits">
        <item>10</item>
        <item>12</item>
        <item>15</item>
        <item>20</item>
        <item>22.16</item>
        <item>25.16</item>
        <item>49.74</item>
        <item>109.85</item>
        <item>109.85</item>
        <item>113</item>
        <item>132</item>
        <item>183</item>
        <item>249.5</item>
        <item>420</item>
        <item>420</item>
        <item>465</item>
        <item>465</item>
        <item>488</item>
        <item>488</item>
        <item>509</item>
        <item>509</item>
        <item>532</item>
        <item>532</item>
        <item>555</item>
        <item>555</item>
        <item>578</item>
        <item>578</item>
        <item>600</item>
    </array>

    <!-- An array describing the screen's backlight values corresponding to the brightness
         values in the config_screenBrightnessNits array.
         This array should be equal in size to config_screenBrightnessNits. -->
    <integer-array name="config_screenBrightnessBacklight">
        <item>1</item>
        <item>2</item>
        <item>3</item>
        <item>4</item>
        <item>5</item>
        <item>6</item>
        <item>7</item>
        <item>8</item>
        <item>9</item>
        <item>10</item>
        <item>11</item>
        <item>12</item>
        <item>13</item>
        <item>14</item>
        <item>15</item>
        <item>16</item>
        <item>17</item>
        <item>18</item>
        <item>19</item>
        <item>20</item>
        <item>21</item>
        <item>22</item>
        <item>23</item>
        <item>24</item>
        <item>25</item>
        <item>26</item>
        <item>27</item>
        <item>28</item>
        <item>29</item>
        <item>30</item>
        <item>31</item>
        <item>32</item>
        <item>33</item>
        <item>34</item>
        <item>35</item>
        <item>36</item>
        <item>37</item>
        <item>38</item>
        <item>39</item>
        <item>40</item>
        <item>41</item>
        <item>42</item>
        <item>43</item>
        <item>44</item>
        <item>45</item>
        <item>46</item>
        <item>47</item>
        <item>48</item>
        <item>49</item>
        <item>50</item>
        <item>51</item>
        <item>52</item>
        <item>53</item>
        <item>54</item>
        <item>55</item>
        <item>56</item>
        <item>57</item>
        <item>58</item>
        <item>59</item>
        <item>60</item>
        <item>61</item>
        <item>62</item>
        <item>63</item>
        <item>64</item>
        <item>65</item>
        <item>66</item>
        <item>67</item>
        <item>68</item>
        <item>69</item>
        <item>70</item>
        <item>71</item>
        <item>72</item>
        <item>73</item>
        <item>74</item>
        <item>75</item>
        <item>76</item>
        <item>77</item>
        <item>78</item>
        <item>79</item>
        <item>80</item>
        <item>81</item>
        <item>82</item>
        <item>83</item>
        <item>84</item>
        <item>85</item>
        <item>86</item>
        <item>87</item>
        <item>88</item>
        <item>89</item>
        <item>90</item>
        <item>91</item>
        <item>92</item>
        <item>93</item>
        <item>94</item>
        <item>95</item>
        <item>96</item>
        <item>97</item>
        <item>98</item>
        <item>99</item>
        <item>100</item>
        <item>101</item>
        <item>102</item>
        <item>103</item>
        <item>104</item>
        <item>105</item>
        <item>106</item>
        <item>107</item>
        <item>108</item>
        <item>109</item>
        <item>110</item>
        <item>111</item>
        <item>112</item>
        <item>113</item>
        <item>114</item>
        <item>115</item>
        <item>116</item>
        <item>117</item>
        <item>118</item>
        <item>119</item>
        <item>120</item>
        <item>121</item>
        <item>122</item>
        <item>123</item>
        <item>124</item>
        <item>125</item>
        <item>126</item>
        <item>127</item>
        <item>128</item>
        <item>129</item>
        <item>130</item>
        <item>131</item>
        <item>132</item>
        <item>133</item>
        <item>134</item>
        <item>135</item>
        <item>136</item>
        <item>137</item>
        <item>138</item>
        <item>139</item>
        <item>140</item>
        <item>141</item>
        <item>142</item>
        <item>143</item>
        <item>144</item>
        <item>145</item>
        <item>146</item>
        <item>147</item>
        <item>148</item>
        <item>149</item>
        <item>150</item>
        <item>151</item>
        <item>152</item>
        <item>153</item>
        <item>154</item>
        <item>155</item>
        <item>156</item>
        <item>157</item>
        <item>158</item>
        <item>159</item>
        <item>160</item>
        <item>161</item>
        <item>162</item>
        <item>163</item>
        <item>164</item>
        <item>165</item>
        <item>166</item>
        <item>167</item>
        <item>168</item>
        <item>169</item>
        <item>170</item>
        <item>171</item>
        <item>172</item>
        <item>173</item>
        <item>174</item>
        <item>175</item>
        <item>176</item>
        <item>177</item>
        <item>178</item>
        <item>179</item>
        <item>180</item>
        <item>181</item>
        <item>182</item>
        <item>183</item>
        <item>184</item>
        <item>185</item>
        <item>186</item>
        <item>187</item>
        <item>188</item>
        <item>189</item>
        <item>190</item>
        <item>191</item>
        <item>192</item>
        <item>193</item>
        <item>194</item>
        <item>195</item>
        <item>196</item>
        <item>197</item>
        <item>198</item>
        <item>199</item>
        <item>200</item>
        <item>201</item>
        <item>202</item>
        <item>203</item>
        <item>204</item>
        <item>205</item>
        <item>206</item>
        <item>207</item>
        <item>208</item>
        <item>209</item>
        <item>210</item>
        <item>211</item>
        <item>212</item>
        <item>213</item>
        <item>214</item>
        <item>215</item>
        <item>216</item>
        <item>217</item>
        <item>218</item>
        <item>219</item>
        <item>220</item>
        <item>221</item>
        <item>222</item>
        <item>223</item>
        <item>224</item>
        <item>225</item>
        <item>226</item>
        <item>227</item>
        <item>228</item>
        <item>229</item>
        <item>230</item>
        <item>231</item>
        <item>232</item>
        <item>233</item>
        <item>234</item>
        <item>235</item>
        <item>236</item>
        <item>237</item>
        <item>238</item>
        <item>239</item>
        <item>240</item>
        <item>241</item>
        <item>242</item>
        <item>243</item>
        <item>244</item>
        <item>245</item>
        <item>246</item>
        <item>247</item>
        <item>248</item>
        <item>249</item>
        <item>250</item>
        <item>251</item>
        <item>252</item>
        <item>253</item>
        <item>254</item>
        <item>255</item>
    </integer-array>

    <!-- An array of floats describing the screen brightness in nits corresponding to the backlight
         values in the config_screenBrightnessBacklight array.  On OLED displays these  values
         should be measured with an all white image while the display is in the fully on state.
         Note that this value should *not* reflect the maximum brightness value for any high
         brightness modes but only the maximum brightness value obtainable in a sustainable manner.
         This array should be equal in size to config_screenBrightnessBacklight -->
    <array name="config_screenBrightnessNits">
        <item>3</item>
        <item>4</item>
        <item>6</item>
        <item>7</item>
        <item>8</item>
        <item>9</item>
        <item>10</item>
        <item>12</item>
        <item>13</item>
        <item>14</item>
        <item>15</item>
        <item>16</item>
        <item>18</item>
        <item>19</item>
        <item>20</item>
        <item>22</item>
        <item>24</item>
        <item>25</item>
        <item>26</item>
        <item>28</item>
        <item>29</item>
        <item>31</item>
        <item>32</item>
        <item>34</item>
        <item>35</item>
        <item>36</item>
        <item>38</item>
        <item>39</item>
        <item>41</item>
        <item>42</item>
        <item>44</item>
        <item>45</item>
        <item>46</item>
        <item>48</item>
        <item>49</item>
        <item>51</item>
        <item>52</item>
        <item>54</item>
        <item>55</item>
        <item>57</item>
        <item>58</item>
        <item>60</item>
        <item>61</item>
        <item>62</item>
        <item>64</item>
        <item>65</item>
        <item>67</item>
        <item>68</item>
        <item>70</item>
        <item>71</item>
        <item>72</item>
        <item>74</item>
        <item>75</item>
        <item>77</item>
        <item>78</item>
        <item>80</item>
        <item>81</item>
        <item>83</item>
        <item>84</item>
        <item>86</item>
        <item>87</item>
        <item>88</item>
        <item>90</item>
        <item>91</item>
        <item>93</item>
        <item>94</item>
        <item>95</item>
        <item>97</item>
        <item>98</item>
        <item>100</item>
        <item>101</item>
        <item>103</item>
        <item>104</item>
        <item>105</item>
        <item>107</item>
        <item>109</item>
        <item>110</item>
        <item>111</item>
        <item>113</item>
        <item>114</item>
        <item>116</item>
        <item>117</item>
        <item>119</item>
        <item>120</item>
        <item>121</item>
        <item>123</item>
        <item>124</item>
        <item>126</item>
        <item>127</item>
        <item>129</item>
        <item>130</item>
        <item>131</item>
        <item>133</item>
        <item>135</item>
        <item>136</item>
        <item>137</item>
        <item>139</item>
        <item>140</item>
        <item>142</item>
        <item>143</item>
        <item>145</item>
        <item>146</item>
        <item>147</item>
        <item>149</item>
        <item>150</item>
        <item>152</item>
        <item>153</item>
        <item>155</item>
        <item>156</item>
        <item>157</item>
        <item>159</item>
        <item>161</item>
        <item>162</item>
        <item>163</item>
        <item>165</item>
        <item>166</item>
        <item>168</item>
        <item>169</item>
        <item>171</item>
        <item>172</item>
        <item>173</item>
        <item>175</item>
        <item>176</item>
        <item>178</item>
        <item>179</item>
        <item>181</item>
        <item>182</item>
        <item>183</item>
        <item>186</item>
        <item>188</item>
        <item>189</item>
        <item>191</item>
        <item>193</item>
        <item>195</item>
        <item>197</item>
        <item>198</item>
        <item>201</item>
        <item>202</item>
        <item>204</item>
        <item>206</item>
        <item>208</item>
        <item>210</item>
        <item>212</item>
        <item>214</item>
        <item>216</item>
        <item>217</item>
        <item>219</item>
        <item>221</item>
        <item>223</item>
        <item>225</item>
        <item>226</item>
        <item>229</item>
        <item>230</item>
        <item>232</item>
        <item>234</item>
        <item>236</item>
        <item>238</item>
        <item>240</item>
        <item>242</item>
        <item>244</item>
        <item>245</item>
        <item>247</item>
        <item>249</item>
        <item>251</item>
        <item>253</item>
        <item>254</item>
        <item>257</item>
        <item>258</item>
        <item>260</item>
        <item>262</item>
        <item>264</item>
        <item>266</item>
        <item>268</item>
        <item>270</item>
        <item>272</item>
        <item>273</item>
        <item>275</item>
        <item>277</item>
        <item>279</item>
        <item>281</item>
        <item>282</item>
        <item>285</item>
        <item>286</item>
        <item>288</item>
        <item>290</item>
        <item>292</item>
        <item>294</item>
        <item>296</item>
        <item>298</item>
        <item>300</item>
        <item>301</item>
        <item>303</item>
        <item>305</item>
        <item>307</item>
        <item>309</item>
        <item>310</item>
        <item>313</item>
        <item>314</item>
        <item>316</item>
        <item>318</item>
        <item>320</item>
        <item>322</item>
        <item>324</item>
        <item>326</item>
        <item>327</item>
        <item>329</item>
        <item>331</item>
        <item>333</item>
        <item>335</item>
        <item>337</item>
        <item>338</item>
        <item>341</item>
        <item>342</item>
        <item>344</item>
        <item>346</item>
        <item>348</item>
        <item>350</item>
        <item>352</item>
        <item>354</item>
        <item>355</item>
        <item>357</item>
        <item>359</item>
        <item>361</item>
        <item>363</item>
        <item>365</item>
        <item>366</item>
        <item>369</item>
        <item>370</item>
        <item>372</item>
        <item>374</item>
        <item>376</item>
        <item>378</item>
        <item>379</item>
        <item>382</item>
        <item>383</item>
        <item>385</item>
        <item>387</item>
        <item>389</item>
        <item>391</item>
        <item>393</item>
        <item>395</item>
        <item>397</item>
        <item>398</item>
        <item>400</item>
        <item>402</item>
        <item>404</item>
        <item>406</item>
        <item>407</item>
        <item>410</item>
        <item>411</item>
        <item>413</item>
        <item>415</item>
        <item>417</item>
        <item>419</item>
        <item>420</item>
    </array>

    <!-- Minimum screen brightness setting allowed by the power manager.
         The user is forbidden from setting the brightness below this level. -->
    <integer name="config_screenBrightnessSettingMinimum">1</integer>

    <!-- Default screen brightness setting.
         Must be in the range specified by minimum and maximum. -->
    <integer name="config_screenBrightnessSettingDefault">134</integer>

    <!-- Screen brightness used to dim the screen when the user activity
         timeout expires.  May be less than the minimum allowed brightness setting
         that can be set by the user. -->
    <integer name="config_screenBrightnessDim">10</integer>

    <!-- Default screen brightness for VR setting. Default value: 0x7F => 127. -->
    <integer name="config_screenBrightnessForVrSettingDefault">180</integer>

    <integer name="config_screenBrightnessForVrSettingMinimum">10</integer>

    <!-- Is the notification LED intrusive? Used to decide if there should be a disable option -->
    <bool name="config_intrusiveNotificationLed">true</bool>

    <!-- Enables or disables haptic effect when the text insertion/selection handle is moved
         manually by the user. -->
    <bool name="config_enableHapticTextHandle">true</bool>

    <!-- Whether device supports double tap to wake -->
    <bool name="config_supportDoubleTapWake">true</bool>

    <!-- Doze (Ambient display) -->
    <string name="config_dozeComponent">com.android.systemui/com.android.systemui.doze.DozeService</string>

    <!-- Screen brightness used to dim the screen while dozing in a very low power state.
         May be less than the minimum allowed brightness setting
         that can be set by the user. -->
    <integer name="config_screenBrightnessDoze">22</integer>

    <!-- If true, the doze component is not started until after the screen has been
         turned off and the screen off animation has been performed. -->
    <bool name="config_dozeAfterScreenOffByDefault">true</bool>

    <!-- Control whether the always on display mode is available. This should only be enabled on
         devices where the display has be tuned to be power efficient in DOZE and/or DOZE_SUSPEND
         states. -->
    <bool name="config_dozeAlwaysOnDisplayAvailable">true</bool>

    <!-- Disable AOD by default -->
    <bool name="config_dozeAlwaysOnEnabled">false</bool>

    <!-- Power Management: Specifies whether to decouple the auto-suspend state of the
         device from the display on/off state.
         When false, autosuspend_disable() will be called before the display is turned on
         and autosuspend_enable() will be called after the display is turned off.
         This mode provides best compatibility for devices using legacy power management
         features such as early suspend / late resume.
         When true, autosuspend_display() and autosuspend_enable() will be called
         independently of whether the display is being turned on or off.  This mode
         enables the power manager to suspend the application processor while the
         display is on.
         This resource should be set to "true" when a doze component has been specified
         to maximize power savings but not all devices support it.
         Refer to autosuspend.h for details.
    -->
    <bool name="config_powerDecoupleAutoSuspendModeFromDisplay">true</bool>

    <!-- Power Management: Specifies whether to decouple the interactive state of the
         device from the display on/off state.
         When false, setInteractive(..., true) will be called before the display is turned on
         and setInteractive(..., false) will be called after the display is turned off.
         This mode provides best compatibility for devices that expect the interactive
         state to be tied to the display state.
         When true, setInteractive(...) will be called independently of whether the display
         is being turned on or off.  This mode enables the power manager to reduce
         clocks and disable the touch controller while the display is on.
         This resource should be set to "true" when a doze component has been specified
         to maximize power savings but not all devices support it.
         Refer to power.h for details.
    -->
    <bool name="config_powerDecoupleInteractiveModeFromDisplay">true</bool>

    <!-- Set this to true to enable the platform's auto-power-save modes like doze and
         app standby.  These are not enabled by default because they require a standard
         cloud-to-device messaging service for apps to interact correctly with the modes
         (such as to be able to deliver an instant message to the device even when it is
         dozing).  This should be enabled if you have such services and expect apps to
         correctly use them when installed on your device.  Otherwise, keep this disabled
         so that applications can still use their own mechanisms. -->
    <bool name="config_enableAutoPowerModes">true</bool>

    <!-- Indicate whether the SD card is accessible without removing the battery. -->
    <bool name="config_batterySdCardAccessibility">true</bool>

    <!-- The device supports freeform window management -->
    <bool name="config_freeformWindowManagement">true</bool>

    <!-- For performance and storage reasons, limit the number of fingerprints per user -->
    <integer name="config_fingerprintMaxTemplatesPerUser">4</integer>

    <!-- Indicate whether closing the lid causes the device to go to sleep and opening
         it causes the device to wake up.
         The default is false. -->
    <bool name="config_lidControlsSleep">true</bool> 

    <!-- Indicate whether to allow the device to suspend when the screen is off
         due to the proximity sensor.  This resource should only be set to true
         if the sensor HAL correctly handles the proximity sensor as a wake-up source.
         Otherwise, the device may fail to wake out of suspend reliably.
         The default is false. -->
    <bool name="config_suspendWhenScreenOffDueToProximity">true</bool>

    <!-- Safe headphone volume index. When music stream volume is below this index
         the SPL on headphone output is compliant to EN 60950 requirements for portable music
         players. -->
    <integer name="config_safe_media_volume_index">15</integer>

    <!--  Whether Multiuser UI should be shown -->
    <bool name="config_enableMultiUserUI">true</bool>

    <!--  Maximum number of supported users -->
    <integer name="config_multiuserMaximumUsers">4</integer>

    <!-- Disables compatibility WAL mode.
         In this mode, only database journal mode will be changed, connection pool
         size will still be limited to a single connection. -->
    <bool name="db_compatibility_wal_supported">false</bool>

    <!-- Default list of files pinned by the Pinner Service -->
    <string-array translatable="false" name="config_defaultPinnerServiceFiles">
        <item>"/system/framework/framework.jar"</item>
        <item>"/system/framework/services.jar"</item>
        <item>"/apex/com.android.art/javalib/core-oj.jar"</item>
        <item>"/apex/com.android.art/javalib/core-libart.jar"</item>
        <item>"/apex/com.android.media/javalib/updatable-media.jar"</item>
        <item>"/system_ext/priv-app/SystemUI/SystemUI.apk"</item>
        <item>"/system/bin/surfaceflinger"</item>
    </string-array>

    <!-- Should the pinner service pin the Home application? -->
    <bool name="config_pinnerHomeApp">true</bool>

    <!-- The default journal mode to use use when Write-Ahead Logging is not active.
         Choices are: OFF, DELETE, TRUNCATE, PERSIST and MEMORY.
         PERSIST may improve performance by reducing how often journal blocks are
         reallocated (compared to truncation) resulting in better data block locality
         and less churn of the storage media.
         The PERSIST mode results in data persisting in the journal beyond the life of
         a transaction, so it interacts poorly with SECURE_DELETE. -->
    <string name="db_default_journal_mode" translatable="false">MEMORY</string>

    <!-- The database synchronization mode when using the default journal mode.
         FULL is safest and preserves durability at the cost of extra fsyncs.
         NORMAL also preserves durability in non-WAL modes and uses checksums to ensure
         integrity although there is a small chance that an error might go unnoticed.
         Choices are: FULL, NORMAL, OFF. -->
    <string name="db_default_sync_mode" translatable="false">NORMAL</string>

    <!-- The database synchronization mode when using Write-Ahead Logging.
         From https://www.sqlite.org/pragma.html#pragma_synchronous:
         WAL mode is safe from corruption with synchronous=NORMAL, and probably DELETE mode is safe
         too on modern filesystems. WAL mode is always consistent with synchronous=NORMAL, but WAL
         mode does lose durability. A transaction committed in WAL mode with
         synchronous=NORMAL might roll back following a power loss or system crash.
         Transactions are durable across application crashes regardless of the synchronous setting
         or journal mode. The synchronous=NORMAL setting is a good choice for most applications
         running in WAL mode.
         Choices are: FULL, NORMAL, OFF. -->
    <string name="db_wal_sync_mode" translatable="false">NORMAL</string>

    <!--  Define Google play service package for FRP-->
    <string name="config_persistentDataPackageName" translatable="false">com.google.android.gms</string>
    
    <!-- Shutdown if the battery temperature exceeds (this value * 0.1) Celsius. -->
    <integer name="config_shutdownBatteryTemperature">600</integer>

    <!-- Disable rounded corners on windows to improve graphics performance -->
    <bool name="config_supportsRoundedCornersOnWindows">false</bool>

    <!-- The list of components which should be automatically disabled for a specific device. -->
    <string-array name="config_deviceDisabledComponents" translatable="false">
        <item>com.google.android.gms/com.google.android.gms.nearby.messages.service.NearbyMessagesService</item>
        <item>com.google.android.gms/com.google.android.gms.nearby.discovery.service.DiscoveryService</item>
    </string-array>

    <!-- Amount of time it takes for the light sensor to warm up in milliseconds.
         For this time after the screen turns on, the Power Manager
         will not debounce light sensor readings -->
    <integer name="config_lightSensorWarmupTime">200</integer>

    <!-- List of biometric sensors on the device, in decreasing strength. Consumed by AuthService
         when registering authenticators with BiometricService. Format must be ID:Modality:Strength,
         where: IDs are unique per device, Modality as defined in BiometricAuthenticator.java,
         and Strength as defined in Authenticators.java -->
    <string-array name="config_biometric_sensors" translatable="false">
        <!-- ID0:Fingerprint:Strong -->
        <item>0:2:15</item>
    </string-array>

    <!-- Location on the screen of the center of the fingerprint sensor. For devices with under
     display fingerprint sensors, this directly corresponds to the fingerprint sensor's location.
     For devices with sensors on the back of the device, this corresponds to the location on the
     screen directly in front of the sensor.
     By default, this is set to @null to use the horizontal center of the screen. -->
    <dimen name="physical_fingerprint_sensor_center_screen_location_x">720px</dimen>

    <!-- Location on the screen of the center of the fingerprint sensor. For devices with under
     display fingerprint sensors, this directly corresponds to the fingerprint sensor's location.
     For devices with sensors on the back of the device, this corresponds to the location on the
     screen directly in front of the sensor. -->
    <dimen name="physical_fingerprint_sensor_center_screen_location_y">2560px</dimen>
    <integer name="config_deviceSupportsButtonBrightnessControl">1</integer>
    <integer name="config_deviceHardwareKeys">83</integer>
    <integer name="config_deviceHardwareWakeKeys">65</integer>
</resources>
